:root {
    --mb: clamp(48px, 1.7142857143rem + 6.4285714286vw, 120px);
    --mb-h: clamp(20px, 1.0357142857rem + 1.0714285714vw, 32px);
    --swiper-theme-color: var(--text-main, #212529);
}

* {
    box-sizing: border-box;
}

h2,
h3,
h4 {
    font-family: Helvetica;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin: 0;
}

h2 {
    font-size: clamp(28px, 1.3928571429rem + 1.7857142857vw, 48px);
    margin-bottom: var(--mb-h);
}

h3 {
    font-size: clamp(24px, 1.2857142857rem + 1.0714285714vw, 36px);
}

.row {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}


body {
    width: clamp(320px, 100%, 1440px);
    margin: auto;
    padding: 12px clamp(15px, 0.6339285714rem + 1.5178571429vw, 32px);

    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
    color: var(--text-main, #212529);
}

a {
    text-decoration: none;
}

a:hover {
    background: rgb(214, 213, 213);
    padding: 0 15px;
    border-radius: 3px;
}

section {
    margin-bottom: clamp(48px, 1.7142857143rem + 6.4285714286vw, 120px);
}

/* section navbar ///////////////////////// */

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: clamp(20px, 0.2857142857rem + 4.8214285714vw, 74px);
    position: relative;
}

.navbar-brand {
    min-width: 40%;
}

.navbar-brand img {
    width: clamp(40px, 1.9642857143rem + 2.6785714286vw, 70px);
}


.navbar-nav {
    display: flex;
    justify-content: space-between;
    gap: 24px;
}

.nav {
    display: inline-flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
}

.nav a {
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Roboto;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.phone {
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Roboto;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.burger {
    display: none;
}

.nav-wrapper {
    width: 450px;
    transition: all 1.5s;
}

.nav-wrapper.show .navbar-nav {
    display: flex;
    flex-direction: column;
    width: auto;
    background: rgb(199, 199, 199);
    opacity: .98;
    padding: 20px 0;
    text-align: center;
}

.nav-wrapper.show {
    width: 100%;
    position: absolute;
    top: 0;
    right: 0;
    height: 100vh;
}


.nav-wrapper.show .navbar-nav a {
    width: 100%;
}

/* section header //////////////////////////////////////////// */

header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 24px;
}

.header-title {
    flex-basis: 404px;
    flex-grow: 1;
}

.header-title-content {
    max-width: 712px;
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Helvetica;
    font-size: clamp(28px, 0.9642857143rem + 3.9285714286vw, 72px);
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
    text-transform: uppercase;
}

.header-title-text {
    margin-top: 20px;
    max-width: 445px;
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Roboto;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
    /* 28px */
}

.header-title-text.collaps {
    display: none;
}

.header-order {
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Roboto;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-decoration: underline;
    align-self: end;
}

.furniture-img {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
    margin-top: 40px;
    margin-bottom: var(--mb);
}

.furniture-img-small {
    display: inline-flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 20px;
}

.furniture-img-big {
    --heigt-img: clamp(261px, 6.5267857143rem + 48.9285714286vw, 809px);
    background-image: url(img/furniture-2.png);
    background-size: cover;
    background-position: center;
    height: var(--heigt-img);
    max-width: 678px;
    flex-basis: 300px;
    flex-grow: 1;
    margin-top: auto;
}

/* section-about start ///////////////////////////////////////////// */

.section-main {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-between;
    margin-bottom: var(--mb);
}

.section-main>* {
    flex-basis: 300px;
    flex-grow: 1;
}

.section-title {
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Helvetica;
    font-size: clamp(28px, 1.3928571429rem + 1.7857142857vw, 48px);
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    max-width: 480px;
}

.section-about-title-2 {
    display: none;
}

.section-aside {
    max-width: 678px;
}

.section-about-text {
    display: flex;
    max-width: 446px;
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
    margin-bottom: clamp(32px, 0.8928571429rem + 5.5357142857vw, 94px);
}

.section-items {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;
}

.section-items h3 {
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Helvetica;
    font-size: clamp(24px, 1.2857142857rem + 1.0714285714vw, 36px);
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin: 0;
}

.section-items.section-text {
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Roboto;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
    width: 146px;
}

/* section-job start ///////////////////////////////////////////// */

.job-text {
    max-width: 325px;
    margin-bottom: clamp(28px, 1.2500000000rem + 2.5000000000vw, 56px);
}


.section-item>* {
    flex-basis: 200px;
    flex-grow: 1;
}

.line {
    border-top: 1px solid black;
    width: 100%;
}

/* section-projects /////////////////////////////////// */


.row-cols-3 {
    justify-content: space-evenly;
}

.row-cols-3>* {
    width: 300px;
    max-width: 445px;
    min-width: 30%;
    flex-grow: 1;
}


/* section feedbacks //////////////////////////////// */

.feedback {
    border: 1px solid;
    padding: clamp(20px, 0.8928571429rem + 1.7857142857vw, 40px);
    text-align: center;
}

.feedback img {
    width: clamp(30px, 1.6964285714rem + 0.8928571429vw, 40px);
}

.feedback-title {
    font-size: 18px;
    font-weight: 700;
    margin: 20px;
}

/* section form ////////////////////////////// */
.section-form {
    justify-content: space-between;
}

.form-img {
    flex-basis: 300px;
    max-width: 562px;
    flex-grow: 1;
}

.form-img img {
    max-width: 100%;
}

.form {
    flex-basis: 367px;
    max-width: 678px;
    flex-grow: 1;
}

.input-group {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-top: clamp(32px, 1.2857142857rem + 3.5714285714vw, 72px);
    margin-bottom: 22px;
}

.input-group input {
    border: none;
    border-bottom: 1px solid;
}

form input:focus-visible {
    outline: 1px solid;
    border-radius: 2px;
}

form input {
    max-width: 562px;
    line-height: 28px;
}

form button {
    padding: 12px 20px;
    color: var(--bg-white, #FFF);
    background: var(--text-main, #212529);
    margin-bottom: clamp(28px, 1.5357142857rem + 1.0714285714vw, 40px);
}

/* footer ///////////////////////////////////////// */

footer {
    display: flex;
    flex-wrap: wrap-reverse;
    gap: 24px;
    text-align: center;
    justify-content: space-around;
    color: var(--text-main, #212529);
    font-feature-settings: 'clig' off, 'liga' off;
    font-family: Roboto;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: uppercase;
}


/* swiper ///////////////////////////////////////// */
.swiper {
    max-width: 445px;
    display: none;
    --swiper-pagination-bullet-size: 12px;
    --swiper-navigation-sides-offset: clamp(3px, -0.2641129032rem + 2.2580645161vw, 10px);
}

.swiper img {
    width: 100%;
}

/* modal /////////////////////// */

.modal-overlay {
    position: fixed;
    inset: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    visibility: hidden;
    transition: .5s all;
    z-index: 9999;
    /* background-color: rgba(255, 255, 255, 0.5); */
}

.modal-overlay.show {
    opacity: 1;
    visibility: visible;
}

.modal {
    max-width: 250px;
    border: 2px solid;
    border-radius: 4px;
    margin: 50px auto;
    padding: 20px 45px;
    position: relative;
    background-color: rgb(206, 206, 206);
}

.modal img {
    width: 24px;
    position: absolute;
    right: 8px;
    top: 8px;
    cursor: pointer;
}

.modal-content {
    text-align: center;
}












@media (max-width: 568px) {

    .burger {
        display: block;
        margin-left: auto;
    }

    .navbar-nav {
        display: none;
    }


    .section-about-title-1 {
        display: none;
    }

    .section-about-title-2 {
        display: block;
    }

    .nav-wrapper {
        width: 0;
    }

}


@media (max-width: 630px) {
    .header-title-text.collaps {
        display: block;
    }

    .furniture-img-small {
        display: none;
    }
}

@media (max-width: 850px) {
    footer {
        justify-content: space-around;
    }
}

@media (max-width: 660px) {
    .swiper {
        display: block;
    }

    .project-imgs {
        display: none;
    }
}